> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve List Contractor Invites

> Lists the org's contractor invites, marking overdue PENDING invites EXPIRED as a side effect.

Not available to API keys yet. It will need `people:write`.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/self-serve-list-contractor-invites
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-list-contractor-invites:
    get:
      operationId: selfServeListContractorInvites
      summary: Self Serve List Contractor Invites
      description: >-
        Lists the org's contractor invites, marking overdue PENDING invites
        EXPIRED as a side effect.


        Not available to API keys yet. It will need `people:write`.
      parameters:
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - PENDING
              - ACCEPTED
              - EXPIRED
              - CANCELLED
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfServeListContractorInvitesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeListContractorInvitesResponse:
      type: object
      properties:
        invites:
          type: array
          items:
            type: object
            properties:
              inviteID:
                type: string
                format: uuid
              email:
                type: string
              status:
                type: string
                enum:
                  - PENDING
                  - ACCEPTED
                  - EXPIRED
                  - CANCELLED
              expiresAt:
                type: string
              createdAt:
                type: string
            required:
              - inviteID
              - email
              - status
              - expiresAt
              - createdAt
      required:
        - invites
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
